1. subscriptions
Google Workspace Reseller API
  • customers
    • /apps/reseller/v1/customers
      POST
    • /apps/reseller/v1/customers/{customerId}
      GET
    • /apps/reseller/v1/customers/{customerId}
      PATCH
    • /apps/reseller/v1/customers/{customerId}
      PUT
  • subscriptions
    • /apps/reseller/v1/customers/{customerId}/subscriptions
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      DELETE
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      GET
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend
      POST
    • /apps/reseller/v1/subscriptions
      GET
  • resellernotify
    • /apps/reseller/v1/resellernotify/getwatchdetails
      GET
    • /apps/reseller/v1/resellernotify/register
      POST
    • /apps/reseller/v1/resellernotify/unregister
      POST
  • Schemas
    • Schemas
      • Address
      • ChangePlanRequest
      • Customer
      • PrimaryAdmin
      • RenewalSettings
      • ResellernotifyGetwatchdetailsResponse
      • ResellernotifyResource
      • Seats
      • Subscription
      • Subscriptions
  1. subscriptions

/apps/reseller/v1/customers/{customerId}/subscriptions

POST
/apps/reseller/v1/customers/{customerId}/subscriptions
Creates or transfer a subscription. Create a subscription for a customer's account that you ordered using the Order a new customer account method. For more information about creating a subscription for different payment plans, see manage subscriptions.\ If you did not order the customer's account using the customer insert method, use the customer's customerAuthToken when creating a subscription for that customer. If transferring a G Suite subscription with an associated Google Drive or Google Vault subscription, use the batch operation to transfer all of these subscriptions. For more information, see how to transfer subscriptions.

Request

Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200Successful response
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://reseller.googleapis.com//apps/reseller/v1/customers//subscriptions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "billingMethod": "string",
    "creationTime": "string",
    "customerDomain": "string",
    "customerId": "string",
    "dealCode": "string",
    "kind": "reseller#subscription",
    "plan": {
        "commitmentInterval": {
            "endTime": "string",
            "startTime": "string"
        },
        "isCommitmentPlan": true,
        "planName": "string"
    },
    "purchaseOrderId": "string",
    "renewalSettings": {
        "kind": "subscriptions#renewalSettings",
        "renewalType": "string"
    },
    "resourceUiUrl": "string",
    "seats": {
        "kind": "subscriptions#seats",
        "licensedNumberOfSeats": 0,
        "maximumNumberOfSeats": 0,
        "numberOfSeats": 0
    },
    "skuId": "string",
    "skuName": "string",
    "status": "string",
    "subscriptionId": "string",
    "suspensionReasons": [
        "string"
    ],
    "transferInfo": {
        "currentLegacySkuId": "string",
        "minimumTransferableSeats": 0,
        "transferabilityExpirationTime": "string"
    },
    "trialSettings": {
        "isInTrial": true,
        "trialEndTime": "string"
    }
}'
Response Response Example
{
    "billingMethod": "string",
    "creationTime": "string",
    "customerDomain": "string",
    "customerId": "string",
    "dealCode": "string",
    "kind": "reseller#subscription",
    "plan": {
        "commitmentInterval": {
            "endTime": "string",
            "startTime": "string"
        },
        "isCommitmentPlan": true,
        "planName": "string"
    },
    "purchaseOrderId": "string",
    "renewalSettings": {
        "kind": "subscriptions#renewalSettings",
        "renewalType": "string"
    },
    "resourceUiUrl": "string",
    "seats": {
        "kind": "subscriptions#seats",
        "licensedNumberOfSeats": 0,
        "maximumNumberOfSeats": 0,
        "numberOfSeats": 0
    },
    "skuId": "string",
    "skuName": "string",
    "status": "string",
    "subscriptionId": "string",
    "suspensionReasons": [
        "string"
    ],
    "transferInfo": {
        "currentLegacySkuId": "string",
        "minimumTransferableSeats": 0,
        "transferabilityExpirationTime": "string"
    },
    "trialSettings": {
        "isInTrial": true,
        "trialEndTime": "string"
    }
}
Modified at 2022-09-11 23:42:40
Previous
/apps/reseller/v1/customers/{customerId}
Next
/apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
Built with